# NoBannerLogger

Extends \DefaultLogger

Extends DefaultLogger to strip out empty targets.

Currently, it only writes which targets are being executed, and any messages that get logged.

author | Andreas Aderhold andi@binarycloud.com
copyright | 2001,2002 THYRELL. All rights reserved
version | $Id: 447177e89a70b960dac284e3fd2fd9b891e031e8 $
package | phing.listener

### Methods

## Construct a new default logger.

    __construct()

inherited

## Prints whether the build succeeded or failed, and any errors that occured during the build. Also outputs the total build-time.

    buildFinished(\BuildEvent $event)

inherited

@param object The BuildEvent

see | \BuildEvent::getException()

### Arguments

#### $event

`\BuildEvent`

## Sets the start-time when the build started. Used for calculating the build-time.

    buildStarted(\BuildEvent $event)

inherited

@param object The BuildEvent

access | public

### Arguments

#### $event

`\BuildEvent`

## Formats a time micro integer to human readable format.

    formatTime( $micros)

inherited static

@param integer The time stamp

access | private

### Arguments

#### $micros

``

## Get the message to return when a build failed.

    getBuildFailedMessage() : string

inherited

### Response

`string`

The classic "BUILD FAILED"

## Get the message to return when a build succeeded.

    getBuildSuccessfulMessage() : string

inherited

### Response

`string`

The classic "BUILD FINISHED"

## Print a message to the stdout.

    messageLogged(\BuildEvent $event)

inherited

@param object The BuildEvent

access | public @see BuildEvent::getMessage()

### Arguments

#### $event

`\BuildEvent`

## Prints a message to console.

    printMessage(string $message, resource $stream, integer $priority) : void

inherited

### Arguments

#### $message

`string`

The message to print.

                Should not be <code>null</code>.

#### $stream

`resource`

The stream to use for message printing.

#### $priority

`integer`

The priority of the message.

                (Ignored in this implementation.)

## Sets the error stream.

    setErrorStream(\OutputStream $err)

inherited

see | \BuildLogger#setErrorStream()

### Arguments

#### $err

`\OutputStream`

## Set the msgOutputLevel this logger is to respond to.

    setMessageOutputLevel(integer $level)

inherited

Only messages with a message level lower than or equal to the given level are output to the log.

Constants for the message levels are in Project.php. The order of the levels, from least to most verbose, is:

- Project::MSG_ERR
- Project::MSG_WARN
- Project::MSG_INFO
- Project::MSG_VERBOSE
- Project::MSG_DEBUG

The default message level for DefaultLogger is Project::MSG_ERR.

see | \BuildLogger#setMessageOutputLevel()

### Arguments

#### $level

`integer`

The logging level for the logger.

## Sets the output stream.

    setOutputStream(\OutputStream $output)

inherited

see | \BuildLogger#setOutputStream()

### Arguments

#### $output

`\OutputStream`

## Fired when a target has finished. We don't need specific action on this event. So the methods are empty.

    targetFinished(\BuildEvent $event)

inherited

@param object The BuildEvent

see | \BuildEvent::getException()

### Arguments

#### $event

`\BuildEvent`

## Prints the current target name

    targetStarted(\BuildEvent $event)

inherited

@param object The BuildEvent

access | public @see BuildEvent::getTarget()

### Arguments

#### $event

`\BuildEvent`

## Fired when a task has finished. We don't need specific action on this event. So the methods are empty.

    taskFinished(\BuildEvent $event)

inherited

@param object The BuildEvent

access | public @see BuildEvent::getException()

### Arguments

#### $event

`\BuildEvent`

## Fired when a task is started. We don't need specific action on this event. So the methods are empty.

    taskStarted(\BuildEvent $event)

inherited

@param object The BuildEvent

access | public @see BuildEvent::getTask()

### Arguments

#### $event

`\BuildEvent`

### Constants

## Size of the left column in output. The default char width is 12.

    LEFT_COLUMN_SIZE

inherited

@var int

### Properties

## targetName

    targetName :

### Type(s)

``

## The message output level that should be used. The default is <code>Project::MSG_VERBOSE</code>.

    msgOutputLevel :

inherited

@var int

### Type(s)

``

## Time that the build started

    startTime :

inherited

@var int

### Type(s)

``

## Stream to use for standard output.

    out : \OutputStream

inherited

var | Stream to use for standard output.

### Type(s)

`\OutputStream`

## Stream to use for error output.

    err : \OutputStream

inherited

var | Stream to use for error output.

### Type(s)

`\OutputStream`